"""
About:
------
The sina_remove_latin tool performs delete latin characters from the input text.

Usage:
------
Below is the usage information that can be generated by running sina_remove_latin --help.

.. code-block:: none

    Usage:
        sina_remove_latin --text=TEXT
        sina_remove_latin --file "path/to/your/file.txt"

Examples:
---------

.. code-block:: none

    sina_remove_punctuation --text "123test"
    
    sina_remove_punctuation --file "path/to/your/file.txt"

Note:
-----

.. code-block:: none

    - This tool is specific to Arabic text, as it focuses on Arabic linguistic elements.
    - Ensure that the text input is appropriately encoded in UTF-8 or compatible formats.
    - This tool for latin characters, if the input text is an Arabic characters or numbers the output will be the same input 

"""

import argparse
from nlptools.utils.parser import remove_latin


def main():
    parser = argparse.ArgumentParser(description='remove latin characters from the text')

    parser.add_argument('--text', type=str, required=True, help='The input text')
    args = parser.parse_args()
    result = remove_latin(args.text)
 
    print(result)
    if __name__ == '__main__':
        main()

#sina_remove_latin --text "123test"